Skip to main content
GET
/
bundle_pricing
/
billing_bundles
/
{bundle_id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const billingBundle = await client.bundlePricing.billingBundles.retrieve(
  '8661948c-a386-4385-837f-af00f40f111a',
);

console.log(billingBundle.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
billing_bundle = client.bundle_pricing.billing_bundles.retrieve(
bundle_id="8661948c-a386-4385-837f-af00f40f111a",
)
print(billing_bundle.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
billingBundle, err := client.BundlePricing.BillingBundles.Get(
context.TODO(),
"8661948c-a386-4385-837f-af00f40f111a",
telnyx.BundlePricingBillingBundleGetParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", billingBundle.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.bundlepricing.billingbundles.BillingBundleRetrieveParams;
import com.telnyx.sdk.models.bundlepricing.billingbundles.BillingBundleRetrieveResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

BillingBundleRetrieveResponse billingBundle = client.bundlePricing().billingBundles().retrieve("8661948c-a386-4385-837f-af00f40f111a");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

billing_bundle = telnyx.bundle_pricing.billing_bundles.retrieve("8661948c-a386-4385-837f-af00f40f111a")

puts(billing_bundle)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$billingBundle = $client->bundlePricing->billingBundles->retrieve(
'8661948c-a386-4385-837f-af00f40f111a',
authorizationBearer: 'authorization_bearer',
);

var_dump($billingBundle);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx bundle-pricing:billing-bundles retrieve \
--api-key 'My API Key' \
--bundle-id 8661948c-a386-4385-837f-af00f40f111a
curl --request GET \
--url https://api.telnyx.com/v2/bundle_pricing/billing_bundles/{bundle_id} \
--header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "7ecd040e-6bac-4139-9160-3c0427d98fea",
    "name": "Australia Basic",
    "cost_code": "BUNDLE-PRICING-BASIC-MRC",
    "active": true,
    "is_public": true,
    "created_at": "2023-12-25",
    "bundle_limits": [
      {
        "id": "e6a32ea9-953b-4622-bbba-9f7bcf7e6717",
        "service": "E911",
        "metric": "number",
        "created_at": "2023-12-25",
        "updated_at": "2023-12-25",
        "limit": 1,
        "rate": "5",
        "country_iso": "AU",
        "country_code": 61,
        "country": "<string>",
        "types": [
          "local"
        ],
        "billing_service": "emergency"
      }
    ],
    "slug": "basic-au-e4f8"
  }
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization_bearer
string

Format: Bearer Authenticates the request with your Telnyx API V2 KEY

Path Parameters

bundle_id
string<uuid>
required

Unique identifier of the bundle. Billing bundle's ID, this is used to identify the billing bundle in the API.

Example:

"8661948c-a386-4385-837f-af00f40f111a"

Response

Successful Response

data
BillingBundleSchema · object
required